Get all tax calculation statements tax type records
get
/hcmRestApi/resources/11.13.18.05/personProcessResults/{ObjectActionId}/child/TaxCalculationStatementTaxTypes
Request
Path Parameters
-
ObjectActionId(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the tax calculation statements tax types by its primary key.
Finder Variables- GroupOneCode; string; Identifier for tax calculation statements tax types.
- GroupTwoCode; string; Identifier for tax calculation statements tax types.
- PayrollRelationshipActionId; number; Identifier for tax calculation statements tax types.
- TaxSubTypeCode; string; Identifier for tax calculation statements tax types.
- TaxTypeCode; string; Identifier for tax calculation statements tax types.
- PrimaryKey Finds the tax calculation statements tax types by its primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CurrencyCode; string; Currency code for tax calculation statements tax type record.
- GroupOneCode; string; Group one code for tax calculation statements tax type record.
- GroupOneLabel; string; Group one label for tax calculation statements tax type record.
- GroupOneMeaning; string; Group one meaning for tax calculation statements tax type record.
- GroupTwoCode; string; Group two code for tax calculation statements tax type record.
- GroupTwoLabel; string; Group two label for tax calculation statements tax type record.
- GroupTwoMeaning; string; Group two meaning for tax calculation statements tax type record.
- LegislationCode; string; Legislation code for tax calculation statements tax type record.
- PayrollRelationshipActionId; number; Payroll relationship action identifier for tax calculation statements tax type record.
- SolutionType; string; Solution type for tax calculation statements tax type record.
- TaxSubType; string; Tax subtype for tax calculation statements tax type record.
- TaxSubTypeCode; string; Tax subtype code for tax calculation statements tax type record.
- TaxType; string; Tax type for tax calculation statements tax type record.
- TaxTypeCode; string; Tax type code for tax calculation statements tax type record.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : personProcessResults-TaxCalculationStatementTaxTypes
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : personProcessResults-TaxCalculationStatementTaxTypes-item-response
Type:
Show Source
object-
CurrencyCode: string
Read Only:
trueMaximum Length:20Currency code for tax calculation statements tax type record. -
GroupOneCode: string
Read Only:
trueMaximum Length:50Group one code for tax calculation statements tax type record. -
GroupOneLabel: string
Read Only:
trueMaximum Length:150Group one label for tax calculation statements tax type record. -
GroupOneMeaning: string
Read Only:
trueMaximum Length:150Group one meaning for tax calculation statements tax type record. -
GroupTwoCode: string
Read Only:
trueMaximum Length:50Group two code for tax calculation statements tax type record. -
GroupTwoLabel: string
Read Only:
trueMaximum Length:150Group two label for tax calculation statements tax type record. -
GroupTwoMeaning: string
Read Only:
trueMaximum Length:150Group two meaning for tax calculation statements tax type record. -
LegislationCode: string
Read Only:
trueMaximum Length:30Legislation code for tax calculation statements tax type record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PayrollRelationshipActionId: number
Read Only:
truePayroll relationship action identifier for tax calculation statements tax type record. -
SolutionType: string
Read Only:
trueMaximum Length:100Solution type for tax calculation statements tax type record. -
TaxCalculationStatementResults: array
Person Process Results Tax Calculation Statement Tax Results
Title:
Person Process Results Tax Calculation Statement Tax ResultsThe TaxCalculationResults resource, includes all the tax calculation statements calculation results. -
TaxCalculationStatementSteps: array
Person Process Results Tax Calculation Statement Tax Steps
Title:
Person Process Results Tax Calculation Statement Tax StepsThe TaxCalculationSteps resource, includes all the tax calculation statements calculation steps. -
TaxCalculationStatementSummary: array
Person Process Results Tax Calculation Statement Calculation Summary
Title:
Person Process Results Tax Calculation Statement Calculation SummaryThe TaxCalculationSummary resource, includes all the tax calculation statements calculation summary. -
TaxSubType: string
Read Only:
trueMaximum Length:150Tax subtype for tax calculation statements tax type record. -
TaxSubTypeCode: string
Read Only:
trueMaximum Length:50Tax subtype code for tax calculation statements tax type record. -
TaxType: string
Read Only:
trueMaximum Length:150Tax type for tax calculation statements tax type record. -
TaxTypeCode: string
Read Only:
trueMaximum Length:50Tax type code for tax calculation statements tax type record.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Person Process Results Tax Calculation Statement Tax Results
Type:
arrayTitle:
Person Process Results Tax Calculation Statement Tax ResultsThe TaxCalculationResults resource, includes all the tax calculation statements calculation results.
Show Source
Nested Schema : Person Process Results Tax Calculation Statement Tax Steps
Type:
arrayTitle:
Person Process Results Tax Calculation Statement Tax StepsThe TaxCalculationSteps resource, includes all the tax calculation statements calculation steps.
Show Source
Nested Schema : Person Process Results Tax Calculation Statement Calculation Summary
Type:
arrayTitle:
Person Process Results Tax Calculation Statement Calculation SummaryThe TaxCalculationSummary resource, includes all the tax calculation statements calculation summary.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : personProcessResults-TaxCalculationStatementTaxTypes-TaxCalculationStatementResults-item-response
Type:
Show Source
object-
Format: string
Read Only:
trueMaximum Length:150Format for tax calculation statements results record. -
GroupOneCode: string
Read Only:
trueMaximum Length:50Group one code for tax calculation statements results record. -
GroupTwoCode: string
Read Only:
trueMaximum Length:50Group two code for tax calculation statements results record. -
LegislationCode: string
Read Only:
trueMaximum Length:30Legislation code for tax calculation statements results record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PayrollRelationshipActionId: number
Read Only:
truePayroll relationship action for tax calculation statements results record. -
Sequence: number
Read Only:
trueSequence for tax calculation statements results record. -
Step: number
Read Only:
trueStep for tax calculation statements results record. -
TaxCalculationBaseName: string
Read Only:
trueMaximum Length:100Tax calculation base name for tax calculation statements results record. -
TaxCalculationExpression: string
Read Only:
trueMaximum Length:1000Tax calculation expression for tax calculation statements results record. -
TaxCalculationId: number
Read Only:
trueTax calculation for tax calculation statements results record. -
TaxCalculationLogic: string
Read Only:
trueMaximum Length:500Tax calculation logic for tax calculation statements results record. -
TaxCalculationName: string
Read Only:
trueMaximum Length:150Tax calculation name for tax calculation statements results record. -
TaxCalculationResult: string
Read Only:
trueMaximum Length:500Tax calculation result for tax calculation statements results record. -
TaxCalculationType: string
Read Only:
trueMaximum Length:30Tax calculation type for tax calculation statements results record. -
TypeOneCode: string
Read Only:
trueMaximum Length:50Type one code for tax calculation statements results record. -
TypeTwoCode: string
Read Only:
trueMaximum Length:50Type two code tax calculation statements results record.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : personProcessResults-TaxCalculationStatementTaxTypes-TaxCalculationStatementSteps-item-response
Type:
Show Source
object-
Format: string
Read Only:
trueMaximum Length:150Format for tax calculation statements steps record. -
GroupOneCode: string
Read Only:
trueMaximum Length:50Group one code for tax calculation statements steps record. -
GroupTwoCode: string
Read Only:
trueMaximum Length:50Group two code for tax calculation statements steps record. -
LegislationCode: string
Read Only:
trueMaximum Length:30Legislation code for tax calculation statements steps record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PayrollRelationshipActionId: number
Read Only:
truePayroll relationship action for tax calculation statements steps record. -
Sequence: number
Read Only:
trueSequence for tax calculation statements steps record. -
Step: number
Read Only:
trueStep for tax calculation statements steps record. -
TaxCalculationBaseName: string
Read Only:
trueMaximum Length:100Tax calculation base name for tax calculation statements steps record. -
TaxCalculationExpression: string
Read Only:
trueMaximum Length:1000Tax calculation expression for tax calculation statements steps record. -
TaxCalculationId: number
Read Only:
trueTax calculation for tax calculation statements steps record. -
TaxCalculationLogic: string
Read Only:
trueMaximum Length:500Tax calculation logic for tax calculation statements steps record. -
TaxCalculationName: string
Read Only:
trueMaximum Length:150Tax calculation name for the tax calculation statements steps record. -
TaxCalculationResult: string
Read Only:
trueMaximum Length:500Tax calculation result for the tax calculation statements steps record. -
TaxCalculationType: string
Read Only:
trueMaximum Length:30Tax calculation type for the tax calculation statements steps record. -
TypeOneCode: string
Read Only:
trueMaximum Length:50Type one code for the tax calculation statements steps record. -
TypeTwoCode: string
Read Only:
trueMaximum Length:50Type two code tax calculation statements steps record.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : personProcessResults-TaxCalculationStatementTaxTypes-TaxCalculationStatementSummary-item-response
Type:
Show Source
object-
Format: string
Read Only:
trueMaximum Length:150Format for tax calculation statements summary record. -
GroupOneCode: string
Read Only:
trueMaximum Length:50Group one code for tax calculation statements summary record. -
GroupTwoCode: string
Read Only:
trueMaximum Length:50Group two code for tax calculation statements summary record. -
LegislationCode: string
Read Only:
trueMaximum Length:30Legislation code for tax calculation statements summary record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PayrollRelationshipActionId: number
Read Only:
truePayroll relationship action for tax calculation statements summary record. -
Sequence: number
Read Only:
trueSequence for tax calculation statements summary record. -
Step: number
Read Only:
trueStep for tax calculation statements summary record. -
TaxCalculationBaseName: string
Read Only:
trueMaximum Length:100Tax calculation base name for tax calculation statements summary record. -
TaxCalculationExpression: string
Read Only:
trueMaximum Length:1000Tax calculation expression for tax calculation statements summary record. -
TaxCalculationId: number
Read Only:
trueTax calculation for tax calculation statements summary record. -
TaxCalculationLogic: string
Read Only:
trueMaximum Length:500Tax calculation logic for tax calculation statements summary record. -
TaxCalculationName: string
Read Only:
trueMaximum Length:150Tax calculation name for tax calculation statements summary record. -
TaxCalculationResult: string
Read Only:
trueMaximum Length:500Tax calculation result for tax calculation statements summary record. -
TaxCalculationType: string
Read Only:
trueMaximum Length:30Tax calculation type for tax calculation statements summary record. -
TypeOneCode: string
Read Only:
trueMaximum Length:50Type one code for tax calculation statements summary record. -
TypeTwoCode: string
Read Only:
trueMaximum Length:50Type two code tax calculation statements summary record.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source